import { ChangeDetectorRef, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { Subscription, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NoInternetComponent implements OnInit {
    private renderer;
    private document;
    private cd;
    class: string;
    el: ElementRef<HTMLDivElement>;
    element: HTMLDivElement;
    contentElement: HTMLDivElement;
    reconnectSubject: Subscription;
    initialDelay: number;
    delay: number;
    _connected: boolean;
    set connected(connected: boolean);
    get connected(): boolean;
    private _unsubscribeAll;
    constructor(renderer: Renderer2, document: Document, cd: ChangeDetectorRef);
    showReconnect(): void;
    reconnectWithDelay(): void;
    reconnectInternet(): void;
    ngOnInit(): void;
    getInternetStatus(): Observable<boolean>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NoInternetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NoInternetComponent, "cj-no-internet", never, {}, {}, never, never>;
}
